#include <stdio.h>
#include <stdlib.h>

#include "ScreenTest.h"

// Mini test made adapted from the GLQuake source
// of course, I only noticed ScreenTest in /test/kits/interface after this...
// but it doesnt pick this problem up afterall.

ScreenTest::ScreenTest(int argc, char *argv[])
	: BApplication("application/x-vnd.haiku.ScreenTest")
{
	printf("Screen is valid : %d\n", screen->IsValid() );
	BRect screenRect = screen->Frame();
	printf("Screen reports %d x %d\n", (int)screenRect.IntegerWidth() + 1, (int)screenRect.IntegerHeight() + 1);
	
	BScreen *test = new BScreen( B_MAIN_SCREEN_ID );
	printf("Screen is valid : %d\n", test->IsValid() );
	screenRect = test->Frame();
	printf("Screen reports %d x %d\n", (int)screenRect.IntegerWidth() + 1, (int)screenRect.IntegerHeight() + 1);

	return;
}

ScreenTest::~ScreenTest()
{
}

//******************
//MAIN
//******************
int main(int argc, char *argv[])
{
	ScreenTest app(argc, argv);
	app.Run();
	return 0;
}
